diff --git a/testing/mozbase/mozdevice/mozdevice/adb_b2g.py b/testing/mozbase/mozdevice/mozdevice/adb_b2g.py
index 3280e61720..88226e551a 100644
--- a/testing/mozbase/mozdevice/mozdevice/adb_b2g.py
+++ b/testing/mozbase/mozdevice/mozdevice/adb_b2g.py
@@ -6,7 +6,7 @@ import traceback
 
 import mozfile
 
-from adb import ADBDevice, ADBError
+from .adb import ADBDevice, ADBError
 
 
 class ADBB2G(ADBDevice):
@@ -18,9 +18,9 @@ class ADBB2G(ADBDevice):
        from mozdevice import ADBB2G
 
        adbdevice = ADBB2G()
-       print adbdevice.list_files("/mnt/sdcard")
+       print(adbdevice.list_files("/mnt/sdcard"))
        if adbdevice.process_exist("b2g"):
-           print "B2G is running"
+           print("B2G is running")
     """
 
     def get_battery_percentage(self, timeout=None):
@@ -96,7 +96,7 @@ class ADBB2G(ADBDevice):
         :raises: * ADBTimeoutError
                  * ADBError
         """
-        info = super(ADBB2G, self).get_info(directive=directive,
+        info = super().get_info(directive=directive,
                                             timeout=timeout)
 
         directives = ['memtotal']
diff --git a/testing/mozbase/mozdevice/mozdevice/devicemanager.py b/testing/mozbase/mozdevice/mozdevice/devicemanager.py
index de87735ef5..0f07880699 100644
--- a/testing/mozbase/mozdevice/mozdevice/devicemanager.py
+++ b/testing/mozbase/mozdevice/mozdevice/devicemanager.py
@@ -27,8 +27,8 @@ class DMError(Exception):
 
 
 def abstractmethod(method):
-    line = method.func_code.co_firstlineno
-    filename = method.func_code.co_filename
+    line = method.__code__.co_firstlineno
+    filename = method.__code__.co_filename
 
     @wraps(method)
     def not_implemented(*args, **kwargs):
@@ -38,7 +38,7 @@ def abstractmethod(method):
     return not_implemented
 
 
-class DeviceManager(object):
+class DeviceManager:
     """
     Represents a connection to a device. Once an implementation of this class
     is successfully instantiated, you may do things like list/copy files to
@@ -250,7 +250,7 @@ class DeviceManager(object):
         Returns True if remoteDirname on device is same as localDirname on host.
         """
 
-        self._logger.info("validating directory: %s to %s" % (localDirname, remoteDirname))
+        self._logger.info("validating directory: {} to {}".format(localDirname, remoteDirname))
         for root, dirs, files in os.walk(localDirname):
             parts = root.split(localDirname)
             for f in files:
@@ -428,13 +428,13 @@ class DeviceManager(object):
         Information on process is in tuple format: (pid, process path, user)
         If a process with the specified name does not exist this function will return None.
         """
-        if not isinstance(processName, basestring):
+        if not isinstance(processName, str):
             raise TypeError("Process name %s is not a string" % processName)
 
         processInfo = None
 
         # filter out extra spaces
-        parts = filter(lambda x: x != '', processName.split(' '))
+        parts = [x for x in processName.split(' ') if x != '']
         processName = ' '.join(parts)
 
         # filter out the quoted env string if it exists
@@ -593,7 +593,7 @@ class DeviceManager(object):
         quotedCmd = []
 
         for arg in cmd:
-            arg.replace('&', '\&')
+            arg.replace('&', r'\&')
 
             needsQuoting = False
             for char in [' ', '(', ')', '"', '&']:
@@ -641,7 +641,7 @@ def _pop_last_line(file_obj):
     return None
 
 
-class ZeroconfListener(object):
+class ZeroconfListener:
 
     def __init__(self, hwid, evt):
         self.hwid = hwid
@@ -654,13 +654,13 @@ class ZeroconfListener(object):
             return
 
         sutname = name.split('.')[0]
-        m = re.search('\[hwid:([^\]]*)\]', sutname)
+        m = re.search(r'\[hwid:([^\]]*)\]', sutname)
         if m is None:
             return
 
         hwid = m.group(1)
 
-        m = re.search('\[ip:([0-9_]*)\]', sutname)
+        m = re.search(r'\[ip:([0-9_]*)\]', sutname)
         if m is None:
             return
 
diff --git a/testing/mozbase/mozdevice/mozdevice/devicemanagerADB.py b/testing/mozbase/mozdevice/mozdevice/devicemanagerADB.py
index 74d0a8d23f..ecfe430f99 100644
--- a/testing/mozbase/mozdevice/mozdevice/devicemanagerADB.py
+++ b/testing/mozbase/mozdevice/mozdevice/devicemanagerADB.py
@@ -11,10 +11,10 @@ import traceback
 
 from distutils import dir_util
 
-from devicemanager import DeviceManager, DMError
+from .devicemanager import DeviceManager, DMError
 from mozprocess import ProcessHandler
 import mozfile
-import version_codes
+from . import version_codes
 
 
 class DeviceManagerADB(DeviceManager):
@@ -130,7 +130,7 @@ class DeviceManagerADB(DeviceManager):
         # doesn't actually return the return code from a process, so we have to
         # capture the output to get it
         if root and self._haveSu:
-            cmdline = "su %s \"%s\"" % (self._suModifier,
+            cmdline = "su {} \"{}\"".format(self._suModifier,
                                         self._escapedCommandLine(cmd))
         else:
             cmdline = self._escapedCommandLine(cmd)
@@ -138,9 +138,9 @@ class DeviceManagerADB(DeviceManager):
 
         # prepend cwd and env to command if necessary
         if cwd:
-            cmdline = "cd %s; %s" % (cwd, cmdline)
+            cmdline = "cd {}; {}".format(cwd, cmdline)
         if env:
-            envstr = '; '.join(map(lambda x: 'export %s=%s' % (x[0], x[1]), env.iteritems()))
+            envstr = '; '.join(['export {}={}'.format(x[0], x[1]) for x in env.items()])
             cmdline = envstr + "; " + cmdline
 
         # all output should be in stdout
@@ -444,7 +444,7 @@ class DeviceManagerADB(DeviceManager):
         if env != '' and env is not None:
             envCnt = 0
             # env is expected to be a dict of environment variables
-            for envkey, envval in env.iteritems():
+            for envkey, envval in env.items():
                 acmd.append("--es")
                 acmd.append("env" + str(envCnt))
                 acmd.append(envkey + "=" + envval)
@@ -453,7 +453,7 @@ class DeviceManagerADB(DeviceManager):
             acmd.append("-d")
             acmd.append(uri)
 
-        acmd = ["shell", ' '.join(map(lambda x: '"' + x + '"', ["am", "start"] + acmd))]
+        acmd = ["shell", ' '.join(['"' + x + '"' for x in ["am", "start"] + acmd])]
         self._logger.info(acmd)
         self._checkCmd(acmd)
         return outputFile
@@ -494,7 +494,7 @@ class DeviceManagerADB(DeviceManager):
         try:
             self._runCmd(["pull",  remoteFile, localFile])
         except (OSError, ValueError):
-            raise DMError("Error pulling remote file '%s' to '%s'" % (remoteFile, localFile))
+            raise DMError("Error pulling remote file '{}' to '{}'".format(remoteFile, localFile))
 
     def pullFile(self, remoteFile, offset=None, length=None):
         # TODO: add debug flags and allow for printing stdout
@@ -628,7 +628,7 @@ class DeviceManagerADB(DeviceManager):
             uptime = self.shellCheckOutput(["uptime"], timeout=self.short_timeout)
             if not uptime:
                 raise DMError("error getting uptime")
-            m = re.match("up time: ((\d+) days, )*(\d{2}):(\d{2}):(\d{2})", uptime)
+            m = re.match(r"up time: ((\d+) days, )*(\d{2}):(\d{2}):(\d{2})", uptime)
             if m:
                 uptime = "%d days %d hours %d minutes %d seconds" % tuple(
                     [int(g or 0) for g in m.groups()[1:]])
@@ -654,7 +654,7 @@ class DeviceManagerADB(DeviceManager):
     def uninstallApp(self, appName, installPath=None):
         status = self._runCmd(["uninstall", appName]).output[0].strip()
         if status != 'Success':
-            raise DMError("uninstall failed for %s. Got: %s" % (appName, status))
+            raise DMError("uninstall failed for {}. Got: {}".format(appName, status))
 
     def uninstallAppAndReboot(self, appName, installPath=None):
         self.uninstallApp(appName)
@@ -769,7 +769,7 @@ class DeviceManagerADB(DeviceManager):
             proc = self._runCmd(["version"], timeout=self.short_timeout)
             self._adb_version = re_version.match(proc.output[0]).group(1)
             self._logger.info("Detected adb %s" % self._adb_version)
-        except os.error as err:
+        except OSError as err:
             raise DMError(
                 "unable to execute ADB (%s): ensure Android SDK is installed "
                 "and adb is in your $PATH" % err)
@@ -779,14 +779,14 @@ class DeviceManagerADB(DeviceManager):
         if self._deviceSerial:
             deviceStatus = None
             for line in self._runCmd(["devices"]).output:
-                m = re.match('(.+)?\s+(.+)$', line)
+                m = re.match(r'(.+)?\s+(.+)$', line)
                 if m:
                     if self._deviceSerial == m.group(1):
                         deviceStatus = m.group(2)
             if deviceStatus is None:
                 raise DMError("device not found: %s" % self._deviceSerial)
             elif deviceStatus != "device":
-                raise DMError("bad status for device %s: %s" % (self._deviceSerial, deviceStatus))
+                raise DMError("bad status for device {}: {}".format(self._deviceSerial, deviceStatus))
 
         # Check to see if we can connect to device and run a simple command
         if not self._checkCmd(["shell", "echo"], timeout=self.short_timeout) == 0:
diff --git a/testing/mozbase/mozdevice/mozdevice/devicemanagerSUT.py b/testing/mozbase/mozdevice/mozdevice/devicemanagerSUT.py
index 7816a3fdda..a1df5f7798 100644
--- a/testing/mozbase/mozdevice/mozdevice/devicemanagerSUT.py
+++ b/testing/mozbase/mozdevice/mozdevice/devicemanagerSUT.py
@@ -13,7 +13,7 @@ import re
 import posixpath
 import subprocess
 import StringIO
-from devicemanager import DeviceManager, DMError, _pop_last_line
+from .devicemanager import DeviceManager, DMError, _pop_last_line
 import errno
 from distutils.version import StrictVersion
 
@@ -27,10 +27,10 @@ class DeviceManagerSUT(DeviceManager):
     """
 
     _base_prompt = '$>'
-    _base_prompt_re = '\$\>'
+    _base_prompt_re = r'\$\>'
     _prompt_sep = '\x00'
     _prompt_regex = '.*(' + _base_prompt_re + _prompt_sep + ')'
-    _agentErrorRE = re.compile('^##AGENT-WARNING##\ ?(.*)')
+    _agentErrorRE = re.compile(r'^##AGENT-WARNING##\ ?(.*)')
 
     reboot_timeout = 600
     reboot_settling_time = 60
@@ -47,7 +47,7 @@ class DeviceManagerSUT(DeviceManager):
 
         # Get version
         verstring = self._runCmds([{'cmd': 'ver'}])
-        ver_re = re.match('(\S+) Version (\S+)', verstring)
+        ver_re = re.match(r'(\S+) Version (\S+)', verstring)
         self.agentProductName = ver_re.group(1)
         self.agentVersion = ver_re.group(2)
 
@@ -167,7 +167,7 @@ class DeviceManagerSUT(DeviceManager):
                 if self._everConnected:
                     self._logger.info("reconnecting socket")
                 self._sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
-            except socket.error as msg:
+            except OSError as msg:
                 self._sock = None
                 raise DMError("Automation Error: unable to create socket: " + str(msg))
 
@@ -175,14 +175,14 @@ class DeviceManagerSUT(DeviceManager):
                 self._sock.settimeout(float(timeout))
                 self._sock.connect((self.host, int(self.port)))
                 self._everConnected = True
-            except socket.error as msg:
+            except OSError as msg:
                 self._sock = None
                 raise DMError("Remote Device Error: Unable to connect socket: " + str(msg))
 
             # consume prompt
             try:
                 self._sock.recv(1024)
-            except socket.error as msg:
+            except OSError as msg:
                 self._sock.close()
                 self._sock = None
                 raise DMError(
@@ -210,7 +210,7 @@ class DeviceManagerSUT(DeviceManager):
                         totalsent += sent
 
                 self._logger.debug("sent cmd: %s" % cmd['cmd'])
-            except socket.error as msg:
+            except OSError as msg:
                 self._sock.close()
                 self._sock = None
                 self._logger.error("Remote Device Error: Error sending data"
@@ -239,7 +239,7 @@ class DeviceManagerSUT(DeviceManager):
                         # Wait up to a second for socket to become ready for reading...
                         if select.select([self._sock], [], [], select_timeout)[0]:
                             temp = self._sock.recv(1024)
-                            self._logger.debug(u"response: %s" % temp.decode('utf8', 'replace'))
+                            self._logger.debug("response: %s" % temp.decode('utf8', 'replace'))
                             timer = 0
                             if not temp:
                                 socketClosed = True
@@ -250,7 +250,7 @@ class DeviceManagerSUT(DeviceManager):
                             self._sock = None
                             raise DMError("Automation Error: Timeout in command %s" %
                                           cmd['cmd'], fatal=True)
-                    except socket.error as err:
+                    except OSError as err:
                         socketClosed = True
                         errStr = str(err)
                         # This error shows up with we have our tegra rebooted.
@@ -313,7 +313,7 @@ class DeviceManagerSUT(DeviceManager):
     def shell(self, cmd, outputfile, env=None, cwd=None, timeout=None, root=False):
         cmdline = self._escapedCommandLine(cmd)
         if env:
-            cmdline = '%s %s' % (self._formatEnvString(env), cmdline)
+            cmdline = '{} {}'.format(self._formatEnvString(env), cmdline)
 
         # execcwd/execcwdsu currently unsupported in Negatus; see bug 824127.
         if cwd and self.agentProductName == 'SUTAgentNegatus':
@@ -335,22 +335,22 @@ class DeviceManagerSUT(DeviceManager):
             cmd += "su"
 
         if cwd:
-            self._sendCmds([{'cmd': '%s %s %s' % (cmd, cwd, cmdline)}], outputfile, timeout)
+            self._sendCmds([{'cmd': '{} {} {}'.format(cmd, cwd, cmdline)}], outputfile, timeout)
         else:
             if (not root) or haveExecSu:
-                self._sendCmds([{'cmd': '%s %s' % (cmd, cmdline)}], outputfile, timeout)
+                self._sendCmds([{'cmd': '{} {}'.format(cmd, cmdline)}], outputfile, timeout)
             else:
                 # need to manually inject su -c for backwards compatibility (this may
                 # not work on ICS or above!!)
                 # (FIXME: this backwards compatibility code is really ugly and should
                 # be deprecated at some point in the future)
-                self._sendCmds([{'cmd': '%s su -c "%s"' % (cmd, cmdline)}], outputfile,
+                self._sendCmds([{'cmd': '{} su -c "{}"'.format(cmd, cmdline)}], outputfile,
                                timeout)
 
         # dig through the output to get the return code
         lastline = _pop_last_line(outputfile)
         if lastline:
-            m = re.search('return code \[([0-9]+)\]', lastline)
+            m = re.search(r'return code \[([0-9]+)\]', lastline)
             if m:
                 return int(m.group(1))
 
@@ -385,7 +385,7 @@ class DeviceManagerSUT(DeviceManager):
 
     def pushDir(self, localDir, remoteDir, retryLimit=None, timeout=None):
         retryLimit = retryLimit or self.retryLimit
-        self._logger.info("pushing directory: %s to %s" % (localDir, remoteDir))
+        self._logger.info("pushing directory: {} to {}".format(localDir, remoteDir))
 
         existentDirectories = []
         for root, dirs, files in os.walk(localDir, followlinks=True):
@@ -430,7 +430,7 @@ class DeviceManagerSUT(DeviceManager):
             return []
         data = self._runCmds([{'cmd': 'cd ' + rootdir}, {'cmd': 'ls'}])
 
-        files = filter(lambda x: x, data.splitlines())
+        files = [x for x in data.splitlines() if x]
         if len(files) == 1 and files[0] == '<empty>':
             # special case on the agent: empty directories return just the
             # string "<empty>"
@@ -447,10 +447,10 @@ class DeviceManagerSUT(DeviceManager):
             self._runCmds([{'cmd': 'rmdr ' + remoteDir}])
 
     def moveTree(self, source, destination):
-        self._runCmds([{'cmd': 'mv %s %s' % (source, destination)}])
+        self._runCmds([{'cmd': 'mv {} {}'.format(source, destination)}])
 
     def copyTree(self, source, destination):
-        self._runCmds([{'cmd': 'dd if=%s of=%s' % (source, destination)}])
+        self._runCmds([{'cmd': 'dd if={} of={}'.format(source, destination)}])
 
     def getProcessList(self):
         data = self._runCmds([{'cmd': 'ps'}])
@@ -470,7 +470,7 @@ class DeviceManagerSUT(DeviceManager):
                         raise ValueError
                 except ValueError:
                     self._logger.error("Unable to parse process list (bug 805969)")
-                    self._logger.error("Line: %s\nFull output of process list:\n%s" % (line, data))
+                    self._logger.error("Line: {}\nFull output of process list:\n{}".format(line, data))
                     raise DMError("Invalid process line: %s" % line)
 
         return processTuples
@@ -508,7 +508,7 @@ class DeviceManagerSUT(DeviceManager):
             time.sleep(1)
             waited += 1
 
-        self._logger.debug("got pid: %s for process: %s" % (pid, appname))
+        self._logger.debug("got pid: {} for process: {}".format(pid, appname))
         return pid
 
     def launchProcess(self, cmd, outputFile="process.txt", cwd='', env='', failIfRunning=False):
@@ -535,7 +535,7 @@ class DeviceManagerSUT(DeviceManager):
             cmdline += " > " + outputFile
 
         # Prepend our env to the command
-        cmdline = '%s %s' % (self._formatEnvString(env), cmdline)
+        cmdline = '{} {}'.format(self._formatEnvString(env), cmdline)
 
         # fireProcess may trigger an exception, but we won't handle it
         if cmd[0] == "am":
@@ -740,7 +740,7 @@ class DeviceManagerSUT(DeviceManager):
         if destDir[-1] != '/':
             destDir += '/'
 
-        self._runCmds([{'cmd': 'unzp %s %s' % (filePath, destDir)}])
+        self._runCmds([{'cmd': 'unzp {} {}'.format(filePath, destDir)}])
 
     def _getRebootServerSocket(self, ipAddr):
         serverSocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
@@ -770,7 +770,7 @@ class DeviceManagerSUT(DeviceManager):
                 conn.close()
             except socket.timeout:
                 pass
-            except socket.error as e:
+            except OSError as e:
                 if e.errno != errno.EAGAIN and e.errno != errno.EWOULDBLOCK:
                     raise
 
@@ -803,7 +803,7 @@ class DeviceManagerSUT(DeviceManager):
             # after restarting.
             destname = '/data/data/com.mozilla.SUTAgentAndroid/files/update.info'
             data = "%s,%s\rrebooting\r" % serverSocket.getsockname()
-            self._runCmds([{'cmd': 'push %s %s' % (destname, len(data)),
+            self._runCmds([{'cmd': 'push {} {}'.format(destname, len(data)),
                             'data': data}])
             cmd += " %s %s" % serverSocket.getsockname()
 
@@ -832,8 +832,8 @@ class DeviceManagerSUT(DeviceManager):
             result[d] = data.split('\n')
 
         # Get rid of any 0 length members of the arrays
-        for k, v in result.iteritems():
-            result[k] = filter(lambda x: x != '', result[k])
+        for k, v in result.items():
+            result[k] = [x for x in result[k] if x != '']
 
         # Format the process output
         if 'process' in result:
@@ -920,7 +920,7 @@ class DeviceManagerSUT(DeviceManager):
         if (env is None or env == ''):
             return ''
 
-        retVal = '"%s"' % ','.join(map(lambda x: '%s=%s' % (x[0], x[1]), env.iteritems()))
+        retVal = '"%s"' % ','.join(['{}={}'.format(x[0], x[1]) for x in env.items()])
         if (retVal == '""'):
             return ''
 
@@ -964,12 +964,12 @@ class DeviceManagerSUT(DeviceManager):
         if (height < 100 or height > 9999):
             return False
 
-        self._logger.debug("adjusting screen resolution to %s, %s and rebooting" % (width, height))
+        self._logger.debug("adjusting screen resolution to {}, {} and rebooting".format(width, height))
 
         self._runCmds(
-            [{'cmd': "exec setprop persist.tegra.dpy%s.mode.width %s" % (screentype, width)}])
+            [{'cmd': "exec setprop persist.tegra.dpy{}.mode.width {}".format(screentype, width)}])
         self._runCmds(
-            [{'cmd': "exec setprop persist.tegra.dpy%s.mode.height %s" % (screentype, height)}])
+            [{'cmd': "exec setprop persist.tegra.dpy{}.mode.height {}".format(screentype, height)}])
 
     def chmodDir(self, remoteDir, **kwargs):
         self._runCmds([{'cmd': "chmod " + remoteDir}])
diff --git a/testing/mozbase/mozdevice/mozdevice/dmcli.py b/testing/mozbase/mozdevice/mozdevice/dmcli.py
index 7ba65e8426..f9d13ea23b 100644
--- a/testing/mozbase/mozdevice/mozdevice/dmcli.py
+++ b/testing/mozbase/mozdevice/mozdevice/dmcli.py
@@ -6,6 +6,7 @@
 Command-line client to control a device
 """
 
+from __future__ import print_function
 import errno
 import logging
 import os
@@ -190,7 +191,7 @@ class DMCli(object):
 
     def add_commands(self, parser):
         subparsers = parser.add_subparsers(title="Commands", metavar="<command>")
-        for (commandname, commandprops) in sorted(self.commands.iteritems()):
+        for (commandname, commandprops) in sorted(self.commands.items()):
             subparser = subparsers.add_parser(commandname, help=commandprops['help'])
             if commandprops.get('args'):
                 for arg in commandprops['args']:
@@ -234,7 +235,7 @@ class DMCli(object):
             self.parser.error("Unknown device manager type: %s" % type)
 
     def deviceroot(self, args):
-        print self.dm.deviceRoot
+        print(self.dm.deviceRoot)
 
     def push(self, args):
         (src, dest) = (args.local_file, args.remote_file)
@@ -250,7 +251,7 @@ class DMCli(object):
     def pull(self, args):
         (src, dest) = (args.local_file, args.remote_file)
         if not self.dm.fileExists(src):
-            print 'No such file or directory'
+            print('No such file or directory')
             return
         if not dest:
             dest = posixpath.basename(src)
@@ -276,7 +277,7 @@ class DMCli(object):
 
     def listapps(self, args):
         for app in self.dm.getInstalledApps():
-            print app
+            print(app)
 
     def stopapp(self, args):
         self.dm.stopApplication(args.appname)
@@ -288,20 +289,20 @@ class DMCli(object):
     def shell(self, args):
         buf = StringIO.StringIO()
         self.dm.shell(args.command, buf, root=args.root)
-        print str(buf.getvalue()[0:-1]).rstrip()
+        print(str(buf.getvalue()[0:-1]).rstrip())
 
     def getinfo(self, args):
         info = self.dm.getInfo(directive=args.directive)
-        for (infokey, infoitem) in sorted(info.iteritems()):
+        for (infokey, infoitem) in sorted(info.items()):
             if infokey == "process":
                 pass  # skip process list: get that through ps
             elif args.directive is None:
-                print "%s: %s" % (infokey.upper(), infoitem)
+                print("%s: %s" % (infokey.upper(), infoitem))
             else:
-                print infoitem
+                print(infoitem)
 
     def logcat(self, args):
-        print ''.join(self.dm.getLogcat())
+        print(''.join(self.dm.getLogcat()))
 
     def clearlogcat(self, args):
         self.dm.recordLogcat()
@@ -312,22 +313,22 @@ class DMCli(object):
     def processlist(self, args):
         pslist = self.dm.getProcessList()
         for ps in pslist:
-            print " ".join(str(i) for i in ps)
+            print(" ".join(str(i) for i in ps))
 
     def listfiles(self, args):
         filelist = self.dm.listFiles(args.remote_dir)
         for file in filelist:
-            print file
+            print(file)
 
     def removefile(self, args):
         self.dm.removeFile(args.remote_file)
 
     def isdir(self, args):
         if self.dm.dirExists(args.remote_dir):
-            print "TRUE"
+            print("TRUE")
             return
 
-        print "FALSE"
+        print("FALSE")
         return errno.ENOTDIR
 
     def mkdir(self, args):
@@ -341,16 +342,16 @@ class DMCli(object):
 
     def sutver(self, args):
         if args.dmtype == 'sut':
-            print '%s Version %s' % (self.dm.agentProductName,
-                                     self.dm.agentVersion)
+            print('%s Version %s' % (self.dm.agentProductName,
+                                     self.dm.agentVersion))
         else:
-            print 'Must use SUT transport to get SUT version.'
+            print('Must use SUT transport to get SUT version.')
 
     def isfile(self, args):
         if self.dm.fileExists(args.remote_file):
-            print "TRUE"
+            print("TRUE")
             return
-        print "FALSE"
+        print("FALSE")
         return errno.ENOENT
 
     def launchfennec(self, args):
@@ -368,9 +369,9 @@ class DMCli(object):
 
     def getip(self, args):
         if args.interface:
-            print(self.dm.getIP(args.interface))
+            print((self.dm.getIP(args.interface)))
         else:
-            print(self.dm.getIP())
+            print((self.dm.getIP()))
 
 
 def cli(args=sys.argv[1:]):
diff --git a/testing/mozbase/mozdevice/mozdevice/droid.py b/testing/mozbase/mozdevice/mozdevice/droid.py
index f06a619c44..3f9f138d32 100644
--- a/testing/mozbase/mozdevice/mozdevice/droid.py
+++ b/testing/mozbase/mozdevice/mozdevice/droid.py
@@ -2,19 +2,20 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import StringIO
 import moznetwork
 import re
 import threading
 import time
 
-import version_codes
+from . import version_codes
 
-from Zeroconf import Zeroconf, ServiceBrowser
-from devicemanager import ZeroconfListener
-from devicemanagerADB import DeviceManagerADB
-from devicemanagerSUT import DeviceManagerSUT
-from devicemanager import DMError
+from .Zeroconf import Zeroconf, ServiceBrowser
+from .devicemanager import ZeroconfListener
+from .devicemanagerADB import DeviceManagerADB
+from .devicemanagerSUT import DeviceManagerSUT
+from .devicemanager import DMError
 
 
 class DroidMixin(object):
@@ -54,7 +55,7 @@ class DroidMixin(object):
             acmd.extend(["-a", intent])
 
         if extras:
-            for (key, val) in extras.iteritems():
+            for (key, val) in extras.items():
                 if type(val) is int:
                     extraTypeParam = "--ei"
                 elif type(val) is bool:
@@ -96,7 +97,7 @@ class DroidMixin(object):
         if mozEnv:
             # mozEnv is expected to be a dictionary of environment variables: Fennec
             # itself will set them when launched
-            for (envCnt, (envkey, envval)) in enumerate(mozEnv.iteritems()):
+            for (envCnt, (envkey, envval)) in enumerate(mozEnv.items()):
                 extras["env" + str(envCnt)] = envkey + "=" + envval
 
         # Additional command line arguments that fennec will read and use (e.g.
@@ -181,7 +182,7 @@ class DroidADB(DeviceManagerADB, DroidMixin):
         if m:
             line = m.group(0)
             # Extract package name: string of non-whitespace ending in forward slash
-            m = re.search('(\S+)/$', line)
+            m = re.search(r'(\S+)/$', line)
             if m:
                 package = m.group(1)
         if not package:
@@ -251,7 +252,7 @@ def DroidConnectByHWID(hwid, timeout=30, **kwargs):
 
     if foundIP is not None:
         return DroidSUT(foundIP, **kwargs)
-    print "Connected via SUT to %s [at %s]" % (hwid, foundIP)
+    print("Connected via SUT to %s [at %s]" % (hwid, foundIP))
 
     # try connecting via adb
     try:
@@ -259,5 +260,5 @@ def DroidConnectByHWID(hwid, timeout=30, **kwargs):
     except:
         return None
 
-    print "Connected via ADB to %s" % (hwid)
+    print("Connected via ADB to %s" % (hwid))
     return sut
